AsyncPredictions
Request a prediction from an Async model
Request a prediction from an Async Model
POST
/
api
/
modelApis
/
async
/
v1
/
{asyncModelId}
Request a prediction from an Async model
curl --request POST \
--url https://mycluster.domino.tech/api/modelApis/async/v1/{asyncModelId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"parameters": {}
}
'import requests
url = "https://mycluster.domino.tech/api/modelApis/async/v1/{asyncModelId}"
payload = { "parameters": {} }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({parameters: {}})
};
fetch('https://mycluster.domino.tech/api/modelApis/async/v1/{asyncModelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncPredictionId": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of Async Model
Body
application/json
Information for new Async Prediction
Parameters that will be passed to Async Model predict function
Response
Success
Id of the created Async Prediction
Last modified on June 26, 2026
Related topics
Retrieve the result of an Async Model predictionExample Python client: Asynchronous Domino endpointDeploy Domino endpointsDomino endpoint securityWas this page helpful?
⌘I
Request a prediction from an Async model
